org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Class SimpleAnalyzeResultPanelProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.analysis.SimpleAnalyzeResultPanelProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, SimpleAnalyzeResultPanelOperator

    public class SimpleAnalyzeResultPanelProvider
    extends Object
    implements SimpleAnalyzeResultPanelOperator

Provider of the simple analyze result panel

### Constructor Summary

Constructors
Constructor and Description
`SimpleAnalyzeResultPanelProvider(TokenAttributeDialogFactory tokenAttrDialogFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearTable()`
`void` `executeAnalysis(String text)`
`JPanel` `get()`
`void` `setAnalysisModel(Analysis analysisModel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleAnalyzeResultPanelProvider

    public SimpleAnalyzeResultPanelProvider(TokenAttributeDialogFactory tokenAttrDialogFactory)

### Method Detail

#### get

    public JPanel get()

#### setAnalysisModel

    public void setAnalysisModel(Analysis analysisModel)

Specified by:
  `setAnalysisModel` in interface `SimpleAnalyzeResultPanelOperator`

#### executeAnalysis

    public void executeAnalysis(String text)

Specified by:
  `executeAnalysis` in interface `SimpleAnalyzeResultPanelOperator`

#### clearTable

    public void clearTable()

Specified by:
  `clearTable` in interface `SimpleAnalyzeResultPanelOperator`